Subject: Re: [PATCH net-next repost v2 1/3] net: Simplify ptp class checks

From: Richard Cochran <[email-masked]>
Date: Wed, 2 Jul 2014 19:48:15 +0200

On Wed, Jul 02, 2014 at 04:41:42PM +0200, Stefan Sørensen wrote:
> Replace two switch statements enumerating all valid ptp classes with an if
> statement matching for not PTP_CLASS_NONE.

Originally, I had the explicit list to guard against the possibility
of a filter returning early without some valid PTP_CLASS. I agree with
this change, but we will have to remember to make sure the filter
always returns NONE when the packet isn't recognized.

Acked-by: Richard Cochran <[email-masked]>